#include <stdio.h>
#include "core.cpp"

int main(int argc, char **argv) {
    int statusCode = 0;
    initialiseCore();
    Arena *arena = arenaAlloc(Megabytes(64));
    list<string> args = getArgs(arena, argc, argv);

    log(strSplit(arena, strlit("-"), strlit("hallo-world")));

    while (true) {
        size_t arenaPos = arena->head;
        string line = PushString(arena, 128);
        fgets(line.str, (int)line.length, stdin);
        log(strSplit(arena, strlit("-"), line));
        arenaFreeFrom(arena, arenaPos);
    }

    return statusCode;
}
